fs cleanacl                AFS Commands             fs cleanacl


NAME

   fs  cleanacl -- remove obsolete entries from access control

                       list.


                                      +
   fs cleanacl  [-path <dir/file path> ]  [-help]

ACCEPTABLE ABBREVIATIONS/ALIASES

                             +
   fs cl  [-p <dir/file path> ]  [-h]

DESCRIPTION

   Removes from the  access  control  list  of  each  specified
   directory  or  file any entries that specify a user or group
   no  longer  found  in  the  Protection  Database.    When  a
   user/group  is removed from the Protection Database, its AFS
   UID appears on access control lists rather  than  its  name.
   This  command  removes such "abandoned" AFS UIDs from access
   control lists.

   Cleaning access control lists in this  way  not  only  keeps
   them  from becoming crowded with irrelevant information, but
   also prevents the new possessor of a recycled AFS  UID  from
   obtaining  access  intended  for the former possessor of the
   ID.  (Note that recycling IDs  is  not  recommended  in  any
   case.)

ARGUMENTS

   -path specifies a file or directory for which the associated
         access control list is to be cleaned.  If  a  filename
         is  specified,  the ACL of the file's parent directory
         is cleaned.  If the  issuer  omits  this  switch,  the
         current working directory is assumed.

   -help prints the online help entry for this command.  Do not
         provide any other arguments or flags  with  this  one.
         See  section  3.1  in  the  Reference  Manual for more
         details.

OUTPUT

   If there are no obsolete AFS UIDs on the ACL, the  following
   message appears:

       Access list for directory is fine.

   Otherwise,  the  output  reports  the resulting state of the
   ACL, following the header

       Access list for directory is now



EXAMPLES

   In the following example, the user pat cleans the ACL on the
   current  directory and its subdirectories called reports and
   sources.  The ACLs for the first two have  no  obsolete  AFS
   UIDs on them, but sources does.

   % fs cl . ./reports ./sources  Access list for . is fine.
   Access list for ./reports is fine.  Access list for
   ./sources is now  Normal rights:     system:authuser rl
   pat rlidwka

PRIVILEGE REQUIRED

   Issuer  must  have  ADMINISTER  rights  to the directory; by
   default,  the  owner  of  the  directory  and   members   of
   system:administrators do.

MORE INFORMATION

   fs listacl
